VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "DrawInstance"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

'Klasa DrawInstance
Implements Memento
'Traktuje indeks rysunku jak obiekt
Private intg As Integer
Private med As Mediator
Public Sub init(a As Integer, md As Mediator)
 intg = a       'Przechowaj indeks
 Set med = md
End Sub
Property Get integ() As Integer
 integ = intg
End Property
'------
Private Sub Memento_init(d As Drawing)
End Sub
'------
Private Sub Memento_restore()
 'Usuń rysunek z listy
 med.removeDrawing intg
End Sub
